Skip to content

Pull KYC

| View as Markdown

The API below will be used to fetch the KYC details of the customer to view for verification.

Note: max 50 UIDs can be shared in single api call. If record already exist, existing record will be overridden and updated. Only new records will be added and existing will be updated.

https://payments.airpay.co.in/pay/v4Merchant-defined-url
ParameterType ValueDescriptionValue Like
Content-Type optionalStringThe Content-Type header indicates the media type of the request or response body so the receiver knows how to process the data.application/x-www-form-urlencodeds
ParameterType ValueDescriptionValue Like
merchant_id requiredNumericMerchant ID (length 1-20).11111
private_key requiredstringPrivate Key (length 10-200) (private_key=hash(‘sha256’, secret.’@’.username.’::‘.password).
checksum requiredstring
(10-200)
checksum date=YYYY-MM-DD
alldata=merchant_id.private_key.kyc_data
Key generated by : key=hash(‘SHA256’,username.”:“.password)
checksum generated by : checksum=hash(‘SHA256’, key.’@’.alldata)
92c617a556982a8d124ff2b7ce9eae3e
UID requiredstringCustomer UID shared by merchantehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04
UIDDATA requiredstringGroup of UIDs
[ “UID1”, “UID2”, “UID3”, ., ., “UID50” ]
[]
ParameterType ValueDescriptionValue Like
status requiredNumericStatus code (length 1-3)200
message requiredstringMessage Status Message for 200 : Success, 400 : FailedSuccess
kyc_data requiredjsonKYC Data
[ { “UID”: “ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04”, “kycinfo”: [ { “kyc_type”: “PC”, “kyc_number”: “321400006787” }, { “kyc_type”: “PP”, “kyc_number”: “321400006787” } ] }, { “UID”: “UID”, “kycinfo”: [ { “kyc_type”: “DL”, “kyc_number”: “2938934hhh3” } ] } ]
kyc_type
string
{
"merchant_id" : "11111",
"private_key" : "71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe",
"checksum" : "92c617a556982a8d124ff2b7ce9eae3e",
"UIDDATA" : [
"UID1",
"UID2",
"UID3",
.,
.,
"UID50"
]
}
HTTP/1.1 200 OK
{
"status" : "200",
"message" : "Success",
"kyc_data" : "[
{
"UID": "ehrjdsihogfoejroejfrjwfw9f9ewu49r4m4t9rrtj04",
"kycinfo": [
{
"kyc_type": "PP",
"kyc_number": "321400006787"
},
{
"kyc_type": "PC",
"kyc_number": "321400006787"
}
]
},
{
"UID": "UID",
"kycinfo": [
{
"kyc_type": "DL",
"kyc_number": "2938934hhh3"
}
]
}
]"
}